import request from '@/utils/request';

export function login(data) {
  return request({
    url: '/auth/login',
    method: 'post',
    data: data,
  });
}

export function userlogin(data) {
  return request({
    url: '/auth/userslogin',
    method: 'post',
    data: data,
  });
}

export function getInfo(token) {
  return request({
    url: '/auth/user',
    method: 'get',
  });
}

export function logout() {
  return request({
    url: '/auth/logout',
    method: 'post',
  });
}

export function userdevicelist(page, limit, id) {
  return request({
    url: 'devices/userdevicelist?page=' + page + '&limit=' + limit + '&id=' + id,
    method: 'get',
  });
}
